Bug 888476 - virt-manager ui is blocked while connecting to remote libvirt
virt-manager ui is blocked while connecting to remote libvirt
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-18 13:37 EST by Fabian Deutsch
Modified: 2013-09-02 08:39 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 13:59:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabian Deutsch 2012-12-18 13:37:08 EST
Description of problem:
The virt-manager ui freezes when I connect to a remote libvirt instance over a slow connection.

Version-Release number of selected component (if applicable):
F16

How reproducible:
Always

Steps to Reproduce:
1. Launch virt-manager and add remote libvirt instance qemu+ssh which is behind a slow link
2. Double-click on freshly created connection
3.
  
Actual results:
virt-manager freezes until the connection is established - including all open guest windows!

Expected results:
I can happily continue working with the UIs beeing frozen.

Additional info:
Comment 1 Fedora End Of Life 2013-01-16 07:47:34 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Adam Huffman 2013-02-07 08:12:11 EST
I think I'm seeing this on a system I just upgraded to Fedora 18.  I have about 15 remote systems and they come up as "connecting", with the virt-manager UI unresponsive.
Comment 3 Cole Robinson 2013-08-31 13:59:56 EDT
There's two pieces here: initial connection polling is done synchronously. This is fixed upstream and in F20/rawhide, but is not backportable due to its invasiveness. Closing this as RAWHIDE

The other issue is that virt-manager just doesn't work well with high latency connections. There's things we can do to improve that are tracked else where, but at the end of the day it's never going to be quick when every tiny API call has a half second round trip.
Comment 4 Fabian Deutsch 2013-09-02 08:39:55 EDT
Thanks for this update.

Note You need to log in before you can comment on or make changes to this bug.